package jp.hishidama.afwhs.java

import java.util.{ List => JList }
import com.asakusafw.runtime.core.{ Result => AResult }
import scala.collection.JavaConverters._

import jp.hishidama.afwhs.Result

class CoGroupScalaFunction(name: String, sc: Int, rc: Int) extends CallScalaFunction(name, sc + rc) {

  def apply[S0, R0](s0: JList[S0], r0: AResult[R0]) {
    super.apply(s0.asScala, new Result(r0))
  }
  def apply[S0, S1, R0](s0: JList[S0], s1: JList[S1], r0: AResult[R0]) {
    super.apply(s0.asScala, s1.asScala, new Result(r0))
  }
}
