package jp.hishidama.afwhs.gen

import jp.hishidama.afwhs.Generator
import java.io.BufferedWriter

trait Gen {
  val gen: Generator
  var imports: Seq[String]

  def writeImport(w: BufferedWriter) = {
    imports.distinct.sortBy {
      case s if s.startsWith("java") => "0" + s
      case s if s.startsWith(gen.basePackage) => "9" + s
      case s => "8" + s
    }.foreach { s =>
      w.write("import " + s + ";\n")
    }
  }
}
