package afwhs.sample

import jp.hishidama.afwhs.Model

case class TenModel(
  var sid: String,
  var sname: String,
  var suugaku: Int,
  var kokugo: Int,
  var rika: Int,
  var shakai: Int,
  var eigo: Int)
  extends Model("ten_model")

case class KamokuModel(
  var sid: String,
  var sname: String,
  var kid: Int,
  var ten: Int)
  extends Model("kamoku_model")

case class KamokuTotal(
  var kid: Int,
  var ten: Long,
  var count: Long)
  extends Model("kamoku_total")

case class AverageModel(
  var kid: Int,
  var ten: Long,
  var count: Long,
  var average: Double)
  extends Model("average_model")

case class SigmaModel(
  var kid: Int,
  var average: Double,
  var sigma: Double)
  extends Model("sigma_model")

case class ScoreModel(
  var sid: String,
  var sname: String,
  var kname: String,
  var ten: Int,
  var average: Double,
  var score: Double)
  extends Model("score_model")


