package jp.hishidama.afwhs

class Result[A <: Model: ClassManifest](val name: String, s: Seq[A]) extends Source[A](s) {
  def add(a: A): Result[A] = {
    seq :+= a
    this
  }
  def +=(a: A): Result[A] = add(a)
}

object Result {
  def apply[A <: Model: ClassManifest](name: String) = new Result[A](name, Seq.empty)
  private[afwhs] def apply[A <: Model: ClassManifest](name: String, s: Source[A]) = new Result[A](name, s.seq)
}
